Bug 1149708 - [glibc2.30] tcpd fails to build
[glibc2.30] tcpd fails to build
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Olaf Kirch
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-06 07:49 UTC by Dominique Leuenberger
Modified: 2021-05-25 07:58 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2019-09-06 07:49:58 UTC
glibc 2.30 has been submitted for inclusion into Factory - and Staged in :A

tcpd is one of the packages failing to build

https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:A/tcpd/standard/x86_64

[   42s] scaffold.c: In function 'gethostbyname64':
[   42s] scaffold.c:163:21: error: 'RES_USE_INET6' undeclared (first use in this function)
[   42s]   163 |     _res.options |= RES_USE_INET6;
Comment 1 Martin Liška 2019-09-24 08:26:50 UTC
I've just made SR:
https://build.opensuse.org/request/show/732866
Comment 2 Martin Liška 2019-09-25 11:14:43 UTC
Fixed.
Comment 3 Simon Lees 2021-05-25 07:58:59 UTC
This fix almost certainly broke IPv6 support, given that Red Hat and Fedora have already dropped this package, and the upstream no longer exists should we consider dropping the package rather then keeping a broken version (I am fixing it properly for SLE-15 / Leap now but I suspect we should drop it for SLE-Next.